/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.fluxml.tree;


/**
 * AbstractTreeModel provides
 *
 * @author tiwe
 * @version $Id$
 */
public abstract class AbstractTreeModel<Node> implements TreeModel<Node>{

    private Node root;
    
    public AbstractTreeModel(Node root){
        this.root = root;
    }
    
    public Node getRoot() {
        return root;
    }

    public boolean isLeaf(Node node) {
        return getChildren(node).isEmpty();
    }

    
}
