/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.fluxml.tree;

import java.util.List;

/**
 * TreeModel provides
 *
 * @author tiwe
 * @version $Id$
 */
public interface TreeModel<Node> {
    
    List<? extends Node> getChildren(Node parent);
    
    Node getRoot();
    
    boolean isLeaf(Node node);
    
}
